/*  { общее */
div.tverbos-bg[data-hidden], div.tverbos-settings-mainpart[data-hidden], div.tverbos-trainer-mainpart[data-hidden] {
	display: none;
}
/*  общее } */

/*  { настройки */
/*  { основные элементы */
div.tverbos-bg {
	position: fixed;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 100%;
	background-size: cover;
	background-image: url(../images/trainer-verbos/bg.jpg);
	background-position: 70% 75%;
	z-index: -1;
}

div.tverbos-settings-mainpart {
	text-shadow: 0px 0px 15px #fff, 0px 0px 15px #fff, 0px 0px 15px #fff, 0px 0px 15px #fff, 0px 0px 15px #fff, 0px 0px 15px #fff, 0px 0px 15px #fff, 0px 0px 15px #fff;
	font-size: 0px;
}

div.tverbos-start-button-wrapper {
	text-align: center;
	margin: 30px 0px;
}
/*  основные элементы } */

/*  { верхние сообщения */
div.tverbos-top-message-container {
	text-align: justify;
}

div.tverbos-top-message {
	margin: 21px 0px;
	font-size: 1.2em;
}
div.tverbos-top-message[data-hidden="true"] {
	display: none;
}
/*  верхние сообщения } */

/*  { рамки и расположение */
div.tverbos-frames-wrapper {
	vertical-align: top;
	max-width: 100%;
}
div.tverbos-frames-wrapper-column {
	width: 418px;
	display: inline-block;
}
div.tverbos-frames-wrapper-tenses {
	width: 418px;
	float: left;
}
div.tverbos-frames-wrapper-other {
	width: 836px;
}

div.tverbos-joint-column {
	text-align: center;
	width: 418px;
	max-width: 100%;
}
@media (min-width: 876px) {
div.tverbos-joint-column {
	width: 836px;
}
}

div.tverbos-tiempos-title-wrapper {
	margin: 9px 6px 6px;
}

div.tverbos-tiempos-title {
	font-size: 1.2em;
}

div.tverbos-frame {
	display: inline-block;
	position: relative;
	box-sizing: border-box;
	vertical-align: top;
	padding: 9px;
	width: 400px;
	max-width: 100%;
	border-style: solid;
	border-color: rgba(10, 30, 0, 0.5);
	border-width: 3px;
	border-radius: 20px;
	background-color: rgba(65, 82, 32, 0.5);
	margin: 18px 9px 0px;
}
div.tverbos-frame[data-filled="wrong"] {
	background-color: rgba(190, 0, 0, 0.5);
	border-color: rgba(30, 0, 0, 0.5);
}
div.tverbos-frames-wrapper-tenses div.tverbos-frame {
	display: block;
}

div.tverbos-frame-title {
	color: #007000;
}
div.tverbos-frame-title[data-big="true"] span {
	font-size: 1.2em;
}

div.tverbos-frame button, div.tverbos-frame div.tverbos-frame-title {
	line-height: 30px;
}

/*@media (min-width: 876px) {
div.tverbos-settings-mainpart[data-tops-count="6"] div.tverbos-frame[data-setting="arg"] {
	top: -53px;
}
div.tverbos-settings-mainpart[data-tops-count="6"] div.tverbos-frames-wrapper-other {
	margin-bottom: -35px;
}
div.tverbos-settings-mainpart[data-tops-count="7"] div.tverbos-frame[data-setting="arg"] {
	top: -105px;
}
div.tverbos-settings-mainpart[data-tops-count="7"] div.tverbos-frames-wrapper-other {
	margin-bottom: -35px;
}
div.tverbos-settings-mainpart[data-tops-count="8"] div.tverbos-frame[data-setting="self-control"], div.tverbos-settings-mainpart[data-tops-count="8"] div.tverbos-frame[data-setting="timer"] {
	top: -31px;
}
div.tverbos-settings-mainpart[data-tops-count="8"] div.tverbos-frames-wrapper-other {
	margin-bottom: -31px;
}
div.tverbos-settings-mainpart[data-tops-count="9"] div.tverbos-frame[data-setting="self-control"], div.tverbos-settings-mainpart[data-tops-count="9"] div.tverbos-frame[data-setting="timer"] {
	top: -83px;
}
div.tverbos-settings-mainpart[data-tops-count="9"] div.tverbos-frames-wrapper-other {
	margin-bottom: -83px;
}
div.tverbos-frame[data-setting="timer"][data-one-line] div.tverbos-frame-title {
	margin-right: 15px;
	display: inline-block;
}
div.tverbos-frame[data-setting="timer"][data-one-line] div.tverbos-timer-switch-container {
	display: inline-block;
}
}*/
/*  рамки и расположение } */

/*  { всякие переключатели */
button.tverbos-tense {
	display: block;
	margin: 12px 0px;
	text-shadow: inherit;
	color: #000;
}
button.tverbos-tense[data-state="disabled"] {
	cursor: initial;
	color: #707070;
}

button.tverbos-switch-wrapper {
	margin: 6px 0px;
	text-align: left;
}

div.tverbos-switch {
	margin-right: 6px;
}

div.tverbos-pip-long-wrapper {
	position: relative;
	font-size: 0px;
}

div.tverbos-pip-long-string {}

div.tverbos-pip-long-fragment {
	display: inline-block;
	vertical-align: top;
	width: 52px;
	height: 52px;
	cursor: pointer;
	background-size: cover;
	background-image: url(../images/trainer-verbos/pip-long-middle.png);
}
div.tverbos-pip-long-fragment[data-order="first"] {
	background-image: url(../images/trainer-verbos/pip-long-top.png);
}
div.tverbos-pip-long-fragment[data-order="last"] {
	background-image: url(../images/trainer-verbos/pip-long-bottom.png);
}

div.tverbos-pip-long-label {
	display: inline-block;
	vertical-align: middle;
	margin-top: 11px;
	cursor: pointer;
}

div.tverbos-pip-long-div {
	cursor: pointer;
	position: absolute;
	top: 0px;
	height: 100%;
	width: 52px;
}

div.tverbos-pip {
	background-image: url(../images/trainer-verbos/pip-solo.png);
	background-size: 48px 48px;
	background-position: center center;
	background-repeat: no-repeat;
	position: absolute;
	width: 52px;
	height: 52px;
	left: 0px;
}

div.tverbos-tops-message {
	text-align: justify;
}
div.tverbos-tops-message:not([data-shown="true"]) {
	display: none;
}

div.tverbos-settings-timer-div {
	display: inline-block;
	margin: 9px 0px;
	vertical-align: top;
}

div.tverbos-timer-switch-container button.tverbos-switch-wrapper {
	display: inline-block;
}

input.tverbos-settings-timer-form {
	width: 42px;
	height: 30px;
	text-align: center;
}

button.tverbos-settings-timer-arrow {
	width: 30px;
	height: 30px;
	background-image: url(../images/common/triangle-v.png);
	background-repeat: no-repeat;
	background-position: center center;
	background-size: contain;
	cursor: pointer;
	vertical-align: top;
}
button.tverbos-settings-timer-arrow-left {
	-moz-transform: scaleX(-1);
	-o-transform: scaleX(-1);
	-webkit-transform: scaleX(-1);
	transform: scaleX(-1);
}
button.tverbos-settings-timer-arrow-right {}

button.tverbos-switch-wrapper[data-parameter="rus-forms"] {
	display: inline-block;
}

button.tverbos-settings-info-button {
	border-radius: 50%;
	border-style: solid;
	border-color: rgb(0, 0, 255);
	border-width: 2px;
	margin-left: 15px;
	width: 30px;
	height: 30px;
	cursor: pointer;
	box-shadow: 0px 0px 10px #fff, 0px 0px 10px #fff, 0px 0px 10px #fff, inset 0px 0px 10px #fff, inset 0px 0px 10px #fff, inset 0px 0px 10px #fff;
}
div.tverbos-frame button.tverbos-settings-info-button {
	line-height: 24px;
}
button.tverbos-settings-info-button:active {
	border-color: rgb(0, 120, 0);
}

div.tverbos-rus-forms-description {
	text-align: justify;
}
div.tverbos-frame:not([data-show-description]) div.tverbos-rus-forms-description {
	display: none;
}
/*  всякие переключатели } */

/*  { видео */
div.tverbos-video-frame-container {
	width: 836px;
	max-width: 100%;
	text-align: center;
	font-size: 0px;
	margin: 27px 0px 0px;
}

div.tverbos-video-frame-wrapper {
	display: inline-block;
	position: relative;
	width: 800px;
	max-width: 100%;
}

img.tverbos-video-frame-img {
	width: 100%;
}

div.tverbos-video-frame, iframe.tverbos-video-frame {
	position: absolute;
	top: 6.125%;
	left: 11%;
	width: 78%;
	height: 87.75%;
}

button.tverbos-video-change-player-button {
	position: absolute;
	width: 7%;
	height: 14%;
	top: 70%;
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
	cursor: pointer;
	box-shadow: 0px 0px 2px 2px rgb(170, 160, 155);
	border-radius: 24%;
}
button.tverbos-video-change-player-button:focus {
	box-shadow: 0px 0px 3px 3px rgb(255, 255, 255), 0px 0px 3px 3px rgb(255, 255, 255);
}
button.tverbos-video-change-player-button:active {
	box-shadow: inset 0px 0px 10px 0px rgb(56, 32, 14), inset 0px 0px 3px 3px rgb(56, 32, 14), 0px 0px 3px 3px rgb(255, 255, 255), 0px 0px 3px 3px rgb(255, 255, 255);
}
button.tverbos-video-change-player-button[data-side="left"] {
	left: 2.5%;
	background-image: url(../images/other/youtube-button-brown.png);
}
button.tverbos-video-change-player-button[data-side="right"] {
	right: 2.5%;
	background-image: url(../images/other/rutube-button-brown.png);
}
/*  видео } */
/*  настройки } */

/*  { тренажёр */
/*  { общие элементы */
div.tverbos-trainer-mainpart {}

div.tverbos-statistics-line {
	margin-top: 21px;
}

@media (min-width: 551px) {
div.tverbos-statistics-div {
	display: inline-block;
	margin-right: 27px;
}
}
@media (max-width: 550px) {
div.tverbos-statistics-div {}
}

span.tverbos-correct-quantity-span, span.tverbos-all-quantity-span, span.tverbos-corrects-in-row-span, span.tverbos-record-span {}

div.tverbos-trainer-timer-div {
	margin-top: 21px;
}

div.tverbos-trainer-timer-time-div {
	display: inline-block;
}

div.tverbos-task-div {
	margin-top: 21px;
}

div.tverbos-task-action-div, div.tverbos-task-tense-div, div.tverbos-task-verbo-div, span.tverbos-task-verbo-span, span.tverbos-task-translation-span, div.tverbos-task-forma-div {}

div.tverbos-tarea-container {
	margin-top: 21px;
}
div.tverbos-tarea-container[data-state="disabled"] {
	display: none;
}

button.tverbos-play {
	height: 21px;
	width: 21px;
	border-radius: 50%;
	box-sizing: border-box;
	vertical-align: middle;
	cursor: pointer;
	background-image: url(../images/audioplayer/play.png);
	background-size: 150%;
	border-width: 1px;
	border-color: rgb(200, 220, 200);
	background-color: rgb(235, 255, 230);
	border-style: solid;
}
button.tverbos-play:focus {
	box-shadow: 0px 0px 2px 2px #00a000;
}
button.tverbos-play:active {
	box-shadow: 0px 0px 2px 2px #00a000, inset 0px 0px 2px 2px #80a080;
}
div.tverbos-task-div:not([data-has-audio="true"]) button.tverbos-play {
	display: none;
}

div.tverbos-word {
	width: 100%;
    left: 0px;
    right: 0px;
	border-radius: 5px;
	box-shadow: 0px 2px 3px rgba(128, 128, 128, 0.7);
	padding: 5px;
	box-sizing: border-box;
	text-align: center;
	overflow-wrap: break-word;
}

div.tverbos-check-button-wrapper {
	margin-top: 24px;
}
@media (max-width: 640px) {
div.tverbos-check-button-wrapper {
	text-align: center;
}
}

button.tverbos-check-button {}

span.tverbos-check-button-check-span, span.tverbos-check-button-next-span {
	display: none;
}
div.tverbos-trainer-mainpart[data-state='solve-test'] span.tverbos-check-button-check-span, div.tverbos-trainer-mainpart[data-state='solve-columns'] span.tverbos-check-button-check-span, div.tverbos-trainer-mainpart[data-state='solve-write'] span.tverbos-check-button-check-span, div.tverbos-trainer-mainpart[data-state='solve-self-control'] span.tverbos-check-button-check-span, div.tverbos-trainer-mainpart[data-state='check-test'] span.tverbos-check-button-next-span, div.tverbos-trainer-mainpart[data-state='check-columns'] span.tverbos-check-button-next-span, div.tverbos-trainer-mainpart[data-state='check-write'] span.tverbos-check-button-next-span, div.tverbos-trainer-mainpart[data-state='check-self-control'] span.tverbos-check-button-next-span {
	display: inline;
}

div.tverbos-back-to-settings-div {
	margin-top: 24px;
}
/*  общие элементы } */

/*  { выбор варианта */
div.tverbos-test-container {}

div.tverbos-test-variants-div {
	box-sizing: border-box;
	width: 350px;
	padding: 6px;
}

div.tverbos-test-variant {
	background-color: rgb(230, 230, 250);
	margin-bottom: 12px;
}
div.tverbos-test-variant[data-state="disabled"] {
	display: none;
}
div.tverbos-test-variant[data-selected] {
	background-color: rgb(224, 224, 245);
	box-shadow: inset 0px 3px 4px #aaa;
}
div.tverbos-test-variant[data-correct="correct"] {
	background-color: rgb(148, 255, 160);
}
div.tverbos-test-variant[data-correct="incorrect"] {
	background-color: rgb(255, 197, 197);
}
div.tverbos-test-container[data-state="normal"] div.tverbos-test-variant {
	cursor: pointer;
}
/*  выбор варианта } */
/*  { столбцы */
div.tverbos-columns-container {
	font-size: 0px;
	position: relative;
	margin: 21px 0px;
}

div.tverbos-columns-column {
	position: relative;
	display: inline-block;
	width: 50%;
	max-width: 312px;
	box-sizing: border-box;
	padding: 12px;
}

div.tverbos-columns-pronoun {
	position: absolute;
    left: 0px;
    right: 0px;
	padding: 6px;
	box-sizing: border-box;
	text-align: left;
	overflow-wrap: break-word;
}
div.tverbos-columns-pronoun[data-hidden] {
	display: none;
}

div.tverbos-columns-word {
	position: absolute;
	background-color: rgb(220, 237, 199);
}
div.tverbos-columns-word[data-state="disabled"] {
	display: none;
}
div.tverbos-columns-word[data-selected="true"] {
	z-index: 1;
	box-shadow: none;
	background-color: rgb(225, 245, 205);
}
div.tverbos-columns-word[data-correct="correct"] {
	background-color: rgb(148, 255, 160);
}
div.tverbos-columns-word[data-correct="incorrect"] {
	background-color: rgb(255, 197, 197);
}
div.tverbos-columns-container[data-state="normal"] div.tverbos-columns-word {
	cursor: pointer;
}
/*  столбцы } */
/*  { вписывание */
div.tverbos-write-container {}

input.tverbos-write-form {
	width: 430px;
	max-width: 100%;
	margin: 5px;
}
input.tverbos-write-form[data-correct="correct"] {
	background-color: rgb(200,250,200);
	border-color: rgb(155,207,155);
}
input.tverbos-write-form[data-correct="correct"]:focus {
	box-shadow: 0px 0px 2px 1px #00b000, 0px 0px 2px 1px #00b000;
}
input.tverbos-write-form[data-correct="incorrect"] {
	background-color: rgb(250,225,225);
	border-color: rgb(207,177,177);
}
input.tverbos-write-form[data-correct="incorrect"]:focus {
	box-shadow: 0px 0px 2px 1px #b00000, 0px 0px 2px 1px #b00000;
}

div.tverbos-write-letter-buttons-div {
	font-size: 0px;
	text-indent: 0px;
	color: #007000;
	text-align: center;
}
@media (min-width: 480px) {
div.tverbos-write-letter-buttons-div {
	text-align: left;
}
}

div.tverbos-write-letter-button-line {
	display: inline-block;
	margin-top: 9px;
}

button.tverbos-write-letter-button {
	height: 36px;
	width: 36px;
	margin: 4px;
	padding: 0px 4px 2px;
}

span.letter-button-s-span {
	display: inline-block;
	font-size: 1.3em;
	margin-top: -6px;
}

div.tverbos-write-right-answer-div {
	margin-top: 21px;
}
/*  вписывание } */
/*  { самостоятельная проверка */
div.tverbos-self-control-container {}

div.tverbos-self-control-answer-div {}
/*  самостоятельная проверка } */
/*  тренажёр } */